import {FC} from "react";
import {Button, Form, Input, View} from "@tarojs/components";
import Taro, {useLoad, useRouter} from "@tarojs/taro";
import {userApi} from "@/api";
import {Profile} from '@/store'

const BingUser: FC = () => {
  // const {depid, start_time, end_time} = getCurrentInstance()?.router?.params as unknown as Offline
  const {setUser, setToken, setCompany} = Profile.useContainer()
  const router = useRouter()


  // Taro.useLoad(() => {
  //   const time = Date.now()
  //   if (!depid
  //     || !start_time
  //     || !end_time
  //     || time > new Date(end_time).getTime()
  //     || time < new Date(start_time).getTime()) {
  //     Taro.showModal({
  //       title: '二维码已过期',
  //       success() {
  //         Taro.reLaunch({url: '/pages/login/login'})
  //       }
  //     })
  //     return
  //   }
  // })

  function submit(e) {
    const value = e.detail.value
    // if (!value.user_name || !value.phone_number) {
    //   Taro.showToast({title: '请认真填写', icon: "error"})
    //   return
    // }
    //
    // if (!regexTel.exec(value.phone_number)) {
    //   Taro.showToast({title: '手机号错误', icon: 'error'})
    //   return
    // }

    Taro.showLoading()

    Taro.login({
      success: async (res) => {
        const data = await userApi.meetingSave({
          ...value,
          code: res.code,
          ticket: router.params.ticket,
        })
        setCompany(data.company)
        setUser(data.user)
        setToken(data.token)
        Taro.switchTab({url: '/pages/index/index'})
      },
      fail: () => {
        Taro.showToast({title: '获取微信登录失败', icon: "error"})
      },
      complete() {
        Taro.hideLoading()
      }
    })
  }

  return (
    <View className='h-10 bg-white p-2'>
      <Form className='form' onSubmit={submit}>

        <View className='item'>
          <View>用户名</View>
          <Input placeholder='请输入用户名' focus name='user_name'/>
        </View>

        <View className='item'>
          <View>手机号</View>
          <Input type='number' placeholder='请输入手机号' name='phone_number'/>
        </View>

        <Button className='button mt-3' formType='submit'>登记</Button>
      </Form>
    </View>
  )
}

const BingUserIndex = () => {
  const router = useRouter()

  useLoad(() => {
    if (!router.params.ticket) {
      Taro.reLaunch({
        url: "/pages/index/index"
      })
    }
  })

  return (
    <Profile.Provider>
      <BingUser/>
    </Profile.Provider>
  )
}

export default BingUserIndex
